# eric7.Plugins.VcsPlugins.vcsGit.GitStashDataDialog

Module implementing a dialog to enter the data for a stash operation.

### Global Attributes

None

### Classes

GitStashDataDialog | Class implementing a dialog to enter the data for a stash operation.

### Functions

None

## GitStashDataDialog

Class implementing a dialog to enter the data for a stash operation.

### Derived from

QDialog, Ui_GitStashDataDialog

### Class Attributes

NoUntracked
UntrackedAndIgnored
UntrackedOnly

### Class Methods

None

### Methods

GitStashDataDialog | Constructor
getData | Public method to get the user data.

### Static Methods

None

#### GitStashDataDialog (Constructor)

GitStashDataDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### GitStashDataDialog.getData

getData()

Public method to get the user data.

Return:
  tuple containing the message (string), a flag indicating to keep changes in the staging area (boolean) and an indication to stash untracked and/or ignored files (integer)

Up